Creating elevation views by selecting rooms

Hello community,

I wanted to create my interior drawing workflow by selecting rooms→creating elevation views→place them on sheets.

I’ve looked into the rir documentation but couldn’t figured out how to create elevation views in revit. Any ideas?

R

Hi Ren, There aren’t add Elevation or Add Elevation Marker components in RiR. I’ve added your feature request. CreateElevationMarker Method

There is an Add Viewport Component that you can start with.

image

For a fully performing workflow there are a lot of variables to consider.


Re_RiR_Add_Elev_Views.gh (12.1 KB)

Here i used OpenNests InscribeCircle ro find open space to place the marker.

1 Like

Here i created Sheets and placed the views.


Re_RiR_Add_Elev_ViewsV2.gh (23.7 KB)

2 Likes

thank you so much. I’ll try it on my side and let you know how it goes!

next comes the need to use the elevation marker with at least one elevation so you can orient to a non-orthogonal room orientation. totally possible in python, have done it in dynamo, let me dig it up.
granted it would need to be revised for Rhino.Inside.Revit use: it should get your closer than not.

cribbed from this forum post: Rotate Elevation Marker - DesignScript - Dynamo

import clr
import math

clr.AddReference('RevitAPI')
import Autodesk
from Autodesk.Revit.DB import *

clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

clr.AddReference('RevitServices')
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument

elev = []
angle_ = []
axis = []

for i,j,m in zip(IN[0],IN[1],IN[2]):
    elev.append(UnwrapElement(i))
    angle_.append(math.radians(j))
    axis.append(m.ToRevitType())

TransactionManager.Instance.EnsureInTransaction(doc)
c = 0
for e in elev:
    Autodesk.Revit.DB.ElementTransformUtils.RotateElement(doc, e.Id, axis[c], angle_[c])
    c+=1
	
TransactionManager.Instance.TransactionTaskDone()

OUT = elev, angle_

Hi Japhy,
I am trying to use your elevation component to generate internal wall elevations in Revit driven by line from Rhino.
Is there already any new component available in Rhino inside Revit to get this automation done or could you make any suggestion how to achieve the following.

  1. Generating individual elevations (not all 4), direction and alignment controlled by line or plane from Rhino (see attached screenshot)
  2. Naming them similarly to the “Add Section View” component
  3. Having component output as list a view for further view parameter assignment

Many thanks

Peter

Hi Peter, Nothing new on the Elevation Marker front.

That shouldn’t be any problem, if you are unfamiliar with how views are created please see this intro.

If there are particular questions please setup a small example.